DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureChainCodeFunction

Measurement feature #measure function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_FeatureChainCodeFunction) ( measurement, featureID, objectID, chaincode, iterations )

## FUNCTION

The `chaincode` measure function is meant for 2-D measurement functions that only require information on the shape of the object's contour, such as `FeaturePerimeter`. The `chaincode` function is called for each object seperately, with the contour of that object stored in `chaincode`.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_int` | `objectID` | ID of the object to be measured
`dip_ChainCode` | `chaincode` | Chaincode data structure encoding the object's contour
`dip_int` | `iterations` | Number of iterations the `measure` function needs to scan the data

## SEE ALSO

`MeasurementFeatureRegister`, `FeatureLineFunction`, `FeatureImageFunction`, `FeatureConvHullFunction`, `FeatureCompositeFunction`, `FeatureCreateFunction`